Subject:  v11i067:  Second update for 'SE' editor
Newsgroups: comp.sources.unix
Sender: sources
Approved: rs@uunet.UU.NET

Submitted-by: gatech!emoryu1!arnold (Arnold D. Robbins)
Posting-number: Volume 11, Issue 67
Archive-name: se.pch.2

[  Not a shar; feed this right into diff.  Do folks prefer things this
   way?  --r$  ]

Here is a second (and hopefully final) patch to 'se'. It fixes a small gaff
in the man page and adds code to highlight remark messages in the status
line.

Arnold Robbins
-------------- cut here, feed to patch in 'se' source directory -----
*** /tmp/,RCSt1014678	Wed Aug  5 15:14:58 1987
--- screen.c	Tue Feb  3 18:27:13 1987
***************
*** 758,764 ****
--- 758,768 ----
  		}
  
  		load (' ', Nrows - 1, col);
+ 		if (t == REMARK_MSG)
+ 			brighton ();	/* reverse video or highlight - on */
  		loadstr (s, Nrows - 1, col + 1, 0);
+ 		if (t == REMARK_MSG)
+ 			brightoff ();	/* turn back off */
  		load (' ', Nrows - 1, col + need - 1);
  		last = col + need - 1;
  		if (last > Ncols - 1)
*** /tmp/,RCSt1014678	Wed Aug  5 15:15:18 1987
--- term.c	Tue Feb  3 18:37:44 1987
***************
*** 96,101 ****
--- 96,103 ----
  static char *DL;	/* hardware delete line */
  static char *AL;	/* hardware add (insert) line */
  static char *CL;	/* clear screen */
+ static char *STANDOUT;	/* standout on  (SO conflicts w/ASCII character name) */
+ static char *SE;	/* standout end */
  
  extern char PC;		/* Pad character, usually '\0' */
  
***************
*** 126,131 ****
--- 128,135 ----
  			"dl",	& DL,
  			"al",	& AL,
  			"cl",	& CL,
+ 			"so",	& STANDOUT,
+ 			"se",	& SE,
  			"pc",	& pcstr,
  			NULL,	NULL
  			};
***************
*** 192,197 ****
--- 196,203 ----
  #define DL	delete_line
  #define AL	insert_line
  #define CM	cursor_address
+ #define STANDOUT	enter_standout_mode
+ #define SE	exit_standout_mode
  
  /* setcaps -- get the capabilities from the terminfo database */
  
***************
*** 2079,2082 ****
--- 2085,2108 ----
  		error (NO, "se: could not determine number of columns");
  
  	return OK;
+ }
+ 
+ /* brighton --- turn on reverse video/standout mode */
+ 
+ brighton ()
+ {
+ #ifndef HARD_TERMS
+ 	if (STANDOUT)
+ 		tputs (STANDOUT, 1, outc);
+ #endif
+ }
+ 
+ /* brightoff --- turn off reverse video/standout mode */
+ 
+ brightoff ()
+ {
+ #ifndef HARD_TERMS
+ 	if (SE)
+ 		tputs (SE, 1, outc);
+ #endif
  }
*** /tmp/,RCSt1014714	Wed Aug  5 15:17:28 1987
--- se.m4	Mon Jul 27 14:53:49 1987
***************
*** 1,7 ****
  .\" 
! .\" $Header: se.m4,v 1.6 86/11/12 11:34:49 arnold Exp $
  .\" 
  .\" $Log:	se.m4,v $
  .\" Revision 1.6  86/11/12  11:34:49  arnold
  .\" Fixed use of `BSD'. Changed discussion of windows. ADR.
  .\" 
--- 1,10 ----
  .\" 
! .\" $Header: se.m4,v 1.7 87/07/27 14:52:52 arnold Exp $
  .\" 
  .\" $Log:	se.m4,v $
+ .\" Revision 1.7  87/07/27  14:52:52  arnold
+ .\" Removed an inadvertant reference to UNIX and SWT modes.
+ .\" 
  .\" Revision 1.6  86/11/12  11:34:49  arnold
  .\" Fixed use of `BSD'. Changed discussion of windows. ADR.
  .\" 
***************
*** 449,456 ****
  This command provides access to on-line documentation on
  the screen editor.
  \*(lqStuff\*(rq may be used to select which information is displayed.
- The help command will display information which is correct
- for both UNIX and SWT modes.
  .TP
  (.)\^i\^[:text]  Insert
  If the command is immediately followed by a colon, then
--- 452,457 ----

